use poise::{serenity_prelude::CreateEmbed, CreateReply};

use crate::{consts::THEME_COLOR, utils::footer, Context, Error};

/// Get the link to the online dashboard
#[poise::command(slash_command)]
pub async fn dashboard(ctx: Context<'_>) -> Result<(), Error> {
    let footer = footer(ctx);

    ctx.send(
        CreateReply::default().ephemeral(true).embed(
            CreateEmbed::new()
                .title("Dashboard")
                .description("**https://beta.reminder-bot.com/dashboard**")
                .footer(footer)
                .color(*THEME_COLOR),
        ),
    )
    .await?;

    Ok(())
}
