use crate::{Context, Error};

/// Add an item to your personal todo list
#[poise::command(slash_command, rename = "add", identifying_name = "todo_user_add")]
pub async fn add(
    ctx: Context<'_>,
    #[description = "The task to add to the todo list"] task: String,
) -> Result<(), Error> {
    sqlx::query!(
        "
        INSERT INTO todos (user_id, value)
        VALUES (
            (SELECT id FROM users WHERE user = ?),
            ?
        )
        ",
        ctx.author().id.get(),
        task
    )
    .execute(&ctx.data().database)
    .await
    .unwrap();

    ctx.say("Item added to todo list").await?;

    Ok(())
}
